## libvpx 1.2.0

=== debian/changelog ===
libvpx (1.2.0-2) unstable; urgency=low

  * debian/rules,
    debian/patches/fix-armhf-link.patch:
    + Fix build on ARM by using the correct compiler and CFLAGS.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 27 May 2013 13:08:06 +0200

libvpx (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/*: Refreshed to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 26 May 2013 10:39:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure_flags += \
  --prefix=/usr \
  --enable-pic \
  --enable-shared \
  --disable-install-bins \
  --disable-install-srcs

ifeq ($(DEB_HOST_ARCH_CPU),arm)
configure_flags_neon := $(configure_flags) --target=armv7-linux-gcc
BUILD_NEON=Yes
endif

ifeq ($(DEB_HOST_ARCH), armel)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
configure_flags += --target=armv6-linux-gcc --enable-small
else
configure_flags += --target=generic-gnu
endif
else
ifeq ($(DEB_HOST_ARCH), armhf)
# now armhf is ARMv7, but ARMv7 in vpx means NEON, which is not mandatory on armhf
# thus we use ARMv6 and -marm (since no thumb2 on ARMv6) to ensure compatability
# with all ARMv7 cores we support.
CFLAGS += -marm
CXXFLAGS += -marm
configure_flags += --target=armv6-linux-gcc --enable-small
else
ifeq ($(DEB_HOST_ARCH), amd64)
configure_flags += --target=x86_64-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), kfreebsd-amd64)
configure_flags += --target=x86_64-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), kfreebsd-i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), hurd-i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), powerpc)
configure_flags += --target=ppc32-linux-gcc
else
configure_flags += --target=generic-gnu
endif
endif
endif
endif
endif
endif
endif
endif

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS=$(DEB_HOST_GNU_TYPE)-
export CROSS
endif

CFLAGS += -Wall -g
CXXFLAGS += -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
CXXFLAGS += -O0
else
CFLAGS += -O2
CXXFLAGS += -O2
endif

builddir := $(CURDIR)/builddir

configure: configure-stamp
configure-stamp:
	dh_testdir
	mkdir -p $(builddir); \
	cd $(builddir); \
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(CURDIR)/configure \
		$(configure_flags)
	touch $@
ifeq ($(BUILD_NEON), Yes)
	mkdir -p $(builddir)-neon; \
	cd $(builddir)-neon; \
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"  $(CURDIR)/configure \
		$(configure_flags_neon)
	touch $@
endif

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE) -C $(builddir) verbose=yes
ifeq ($(BUILD_NEON), Yes)
	$(MAKE) -C $(builddir)-neon verbose=yes
endif
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf $(builddir)
	rm -rf $(builddir)-neon
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) -C $(builddir) verbose=yes dist
ifeq ($(BUILD_NEON), Yes)
	$(MAKE) -C $(builddir)-neon verbose=yes dist
endif
	# don't use stripped library...
	cp -v $(builddir)/libvpx_g.a \
	  $(builddir)/vpx-vp8-*/lib/libvpx.a

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install -i
	dh_installchangelogs -i CHANGELOG
	dh_installdocs -i -A README AUTHORS
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -s
	mkdir -p debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)
ifeq ($(BUILD_NEON), Yes)
	mkdir -p debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
endif
	mkdir -p debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	cp -a builddir/vpx-vp8-*/lib/libvpx.so builddir/vpx-vp8-*/lib/libvpx.a debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	dh_installdocs -s -A README AUTHORS
	dh_installchangelogs -s CHANGELOG
	dh_link -s
	dh_strip -s --dbg-package=libvpx1-dbg
	# Make sure not to conflict with past SONAMEs:
	rm -rf debian/libvpx1-dbg/usr/lib/debug/usr/bin
	dh_compress -s
	dh_fixperms -s
	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.1.0)' -- -c4
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install clean

## libvpx 1.3.0

=== build/make/Makefile ===
##
##  Copyright (c) 2010 The WebM project authors. All Rights Reserved.
##
##  Use of this source code is governed by a BSD-style license
##  that can be found in the LICENSE file in the root of the source
##  tree. An additional intellectual property rights grant can be found
##  in the file PATENTS.  All contributing project authors may
##  be found in the AUTHORS file in the root of the source tree.
##


include config.mk
quiet?=true
ifeq ($(target),)
# If a target wasn't specified, invoke for all enabled targets.
.DEFAULT:
	@for t in $(ALL_TARGETS); do \
	     $(MAKE) --no-print-directory target=$$t $(MAKECMDGOALS) || exit $$?;\
        done
all: .DEFAULT
clean:: .DEFAULT
install:: .DEFAULT
test:: .DEFAULT
testdata:: .DEFAULT


# Note: md5sum is not installed on OS X, but openssl is. Openssl may not be
# installed on cygwin, so we need to autodetect here.
md5sum := $(firstword $(wildcard \
          $(foreach e,md5sum openssl,\
          $(foreach p,$(subst :, ,$(PATH)),$(p)/$(e)*))\
          ))
md5sum := $(if $(filter %openssl,$(md5sum)),$(md5sum) dgst -md5,$(md5sum))

TGT_CC:=$(word 3, $(subst -, ,$(TOOLCHAIN)))
dist:
	@for t in $(ALL_TARGETS); do \
	     $(MAKE) --no-print-directory target=$$t $(MAKECMDGOALS) || exit $$?;\
        done
        # Run configure for the user with the current toolchain.
	@if [ -d "$(DIST_DIR)/src" ]; then \
            mkdir -p "$(DIST_DIR)/build"; \
            cd "$(DIST_DIR)/build"; \
            echo "Rerunning configure $(CONFIGURE_ARGS)"; \
            ../src/configure $(CONFIGURE_ARGS); \
            $(if $(filter vs%,$(TGT_CC)),make NO_LAUNCH_DEVENV=1;) \
        fi
	@if [ -d "$(DIST_DIR)" ]; then \
            echo "    [MD5SUM] $(DIST_DIR)"; \
	    cd $(DIST_DIR) && \
	    $(md5sum) `find . -name md5sums.txt -prune -o -type f -print` \
                | sed -e 's/MD5(\(.*\))= \([0-9a-f]\{32\}\)/\2  \1/' \
                > md5sums.txt;\
        fi


endif

ifneq ($(target),)
# Normally, we want to build the filename from the target and the toolchain.
# This disambiguates from the $(target).mk file that exists in the source tree.
# However, the toolchain is part of the target in universal builds, so we
# don't want to include TOOLCHAIN in that case. FAT_ARCHS is used to test
# if we're in the universal case.
include $(target)$(if $(FAT_ARCHS),,-$(TOOLCHAIN)).mk
endif
BUILD_ROOT?=.
VPATH=$(SRC_PATH_BARE)
CFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT) -I$(SRC_PATH)
CXXFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT) -I$(SRC_PATH)
ASFLAGS+=-I$(BUILD_PFX)$(BUILD_ROOT)/ -I$(SRC_PATH)/
DIST_DIR?=dist
HOSTCC?=gcc
TGT_ISA:=$(word 1, $(subst -, ,$(TOOLCHAIN)))
TGT_OS:=$(word 2, $(subst -, ,$(TOOLCHAIN)))
TGT_CC:=$(word 3, $(subst -, ,$(TOOLCHAIN)))
quiet:=$(if $(or $(verbose), $(V)),, yes)
qexec=$(if $(quiet),@)

# Cancel built-in implicit rules
%: %.o
%.asm:
%.a:
%: %.cc

#
# Common rules"
#
.PHONY: all
all:

.PHONY: clean
clean::
	rm -f $(OBJS-yes) $(OBJS-yes:.o=.d) $(OBJS-yes:.asm.s.o=.asm.s)
	rm -f $(CLEAN-OBJS)

.PHONY: dist
dist:
.PHONY: install
install::
.PHONY: test
test::
.PHONY: testdata
testdata::

# Add compiler flags for intrinsic files
$(BUILD_PFX)%_mmx.c.d: CFLAGS += -mmmx
$(BUILD_PFX)%_mmx.c.o: CFLAGS += -mmmx
$(BUILD_PFX)%_sse2.c.d: CFLAGS += -msse2
$(BUILD_PFX)%_sse2.c.o: CFLAGS += -msse2
$(BUILD_PFX)%_sse3.c.d: CFLAGS += -msse3
$(BUILD_PFX)%_sse3.c.o: CFLAGS += -msse3
$(BUILD_PFX)%_ssse3.c.d: CFLAGS += -mssse3
$(BUILD_PFX)%_ssse3.c.o: CFLAGS += -mssse3
$(BUILD_PFX)%_sse4.c.d: CFLAGS += -msse4.1
$(BUILD_PFX)%_sse4.c.o: CFLAGS += -msse4.1
$(BUILD_PFX)%_avx.c.d: CFLAGS += -mavx
$(BUILD_PFX)%_avx.c.o: CFLAGS += -mavx
$(BUILD_PFX)%_avx2.c.d: CFLAGS += -mavx2
$(BUILD_PFX)%_avx2.c.o: CFLAGS += -mavx2

$(BUILD_PFX)%.c.d: %.c
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(CC) $(INTERNAL_CFLAGS) $(CFLAGS) -M $< | $(fmt_deps) > $@

$(BUILD_PFX)%.c.o: %.c
	$(if $(quiet),@echo "    [CC] $@")
	$(qexec)$(CC) $(INTERNAL_CFLAGS) $(CFLAGS) -c -o $@ $<

$(BUILD_PFX)%.cc.d: %.cc
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(CXX) $(INTERNAL_CFLAGS) $(CXXFLAGS) -M $< | $(fmt_deps) > $@

$(BUILD_PFX)%.cc.o: %.cc
	$(if $(quiet),@echo "    [CXX] $@")
	$(qexec)$(CXX) $(INTERNAL_CFLAGS) $(CXXFLAGS) -c -o $@ $<

$(BUILD_PFX)%.asm.d: %.asm
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(SRC_PATH_BARE)/build/make/gen_asm_deps.sh \
            --build-pfx=$(BUILD_PFX) --depfile=$@ $(ASFLAGS) $< > $@

$(BUILD_PFX)%.asm.o: %.asm
	$(if $(quiet),@echo "    [AS] $@")
	$(qexec)$(AS) $(ASFLAGS) -o $@ $<

$(BUILD_PFX)%.s.d: %.s
	$(if $(quiet),@echo "    [DEP] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(SRC_PATH_BARE)/build/make/gen_asm_deps.sh \
            --build-pfx=$(BUILD_PFX) --depfile=$@ $(ASFLAGS) $< > $@

$(BUILD_PFX)%.s.o: %.s
	$(if $(quiet),@echo "    [AS] $@")
	$(qexec)$(AS) $(ASFLAGS) -o $@ $<

.PRECIOUS: %.c.S
%.c.S: CFLAGS += -DINLINE_ASM
$(BUILD_PFX)%.c.S: %.c
	$(if $(quiet),@echo "    [GEN] $@")
	$(qexec)$(CC) -S $(CFLAGS) -o $@ $<

.PRECIOUS: %.asm.s
$(BUILD_PFX)%.asm.s: %.asm
	$(if $(quiet),@echo "    [ASM CONVERSION] $@")
	$(qexec)mkdir -p $(dir $@)
	$(qexec)$(ASM_CONVERSION) <$< >$@

# If we're in debug mode, pretend we don't have GNU strip, to fall back to
# the copy implementation
HAVE_GNU_STRIP := $(if $(CONFIG_DEBUG),,$(HAVE_GNU_STRIP))
ifeq ($(HAVE_GNU_STRIP),yes)
# Older binutils strip global sybols not needed for relocation processing
# when given --strip-unneeded. Use nm and awk to identify globals and
# keep them.
%.a: %_g.a
	$(if $(quiet),@echo "    [STRIP] $@ < $<")
	$(qexec)$(STRIP) --strip-unneeded \
         `$(NM) $< | grep ' [A-TV-Z] ' | awk '{print "-K"$$3'}`\
          -o $@ $<
else
%.a: %_g.a
	$(if $(quiet),@echo "    [CP] $@ < $<")
	$(qexec)cp $< $@
endif

#
# Rule to extract assembly constants from C sources
#
obj_int_extract: build/make/obj_int_extract.c
	$(if $(quiet),@echo "    [HOSTCC] $@")
	$(qexec)$(HOSTCC) -I. -I$(SRC_PATH_BARE) -o $@ $<
CLEAN-OBJS += obj_int_extract

#
# Utility functions
#
pairmap=$(if $(strip $(2)),\
    $(call $(1),$(word 1,$(2)),$(word 2,$(2)))\
    $(call pairmap,$(1),$(wordlist 3,$(words $(2)),$(2)))\
)

enabled=$(filter-out $($(1)-no),$($(1)-yes))
cond_enabled=$(if $(filter yes,$($(1))), $(call enabled,$(2)))

find_file1=$(word 1,$(wildcard $(subst //,/,$(addsuffix /$(1),$(2)))))
find_file=$(foreach f,$(1),$(call find_file1,$(strip $(f)),$(strip $(2))) )
obj_pats=.c=.c.o $(AS_SFX)=$(AS_SFX).o .cc=.cc.o
objs=$(addprefix $(BUILD_PFX),$(foreach p,$(obj_pats),$(filter %.o,$(1:$(p))) ))

install_map_templates=$(eval $(call install_map_template,$(1),$(2)))

not=$(subst yes,no,$(1))

ifeq ($(CONFIG_MSVS),yes)
lib_file_name=$(1).lib
else
lib_file_name=lib$(1).a
endif
#
# Rule Templates
#
define linker_template
$(1): $(filter-out -%,$(2))
$(1):
	$(if $(quiet),@echo    "    [LD] $$@")
	$(qexec)$$(LD) $$(strip $$(INTERNAL_LDFLAGS) $$(LDFLAGS) -o $$@ $(2) $(3) $$(extralibs))
endef
define linkerxx_template
$(1): $(filter-out -%,$(2))
$(1):
	$(if $(quiet),@echo    "    [LD] $$@")
	$(qexec)$$(CXX) $$(strip $$(INTERNAL_LDFLAGS) $$(LDFLAGS) -o $$@ $(2) $(3) $$(extralibs))
endef
# make-3.80 has a bug with expanding large input strings to the eval function,
# which was triggered in some cases by the following component of
# linker_template:
#   $(1): $$(call find_file, $(patsubst -l%,lib%.a,$(filter -l%,$(2))),\
#                           $$(patsubst -L%,%,$$(filter -L%,$$(LDFLAGS) $(2))))
# This may be useful to revisit in the future (it tries to locate libraries
# in a search path and add them as prerequisites

define install_map_template
$(DIST_DIR)/$(1): $(2)
	$(if $(quiet),@echo "    [INSTALL] $$@")
	$(qexec)mkdir -p $$(dir $$@)
	$(qexec)cp -p $$< $$@
endef

define archive_template
# Not using a pattern rule here because we don't want to generate empty
# archives when they are listed as a dependency in files not responsible
# for creating them.
$(1):
	$(if $(quiet),@echo "    [AR] $$@")
	$(qexec)$$(AR) $$(ARFLAGS) $$@ $$?
endef

define so_template
# Not using a pattern rule here because we don't want to generate empty
# archives when they are listed as a dependency in files not responsible
# for creating them.
#
# This needs further abstraction for dealing with non-GNU linkers.
$(1):
	$(if $(quiet),@echo "    [LD] $$@")
	$(qexec)$$(LD) -shared $$(LDFLAGS) \
            -Wl,--no-undefined -Wl,-soname,$$(SONAME) \
            -Wl,--version-script,$$(EXPORTS_FILE) -o $$@ \
            $$(filter %.o,$$^) $$(extralibs)
endef

define dl_template
# Not using a pattern rule here because we don't want to generate empty
# archives when they are listed as a dependency in files not responsible
# for creating them.
$(1):
	$(if $(quiet),@echo "    [LD] $$@")
	$(qexec)$$(LD) -dynamiclib $$(LDFLAGS) \
	    -exported_symbols_list $$(EXPORTS_FILE) \
        -Wl,-headerpad_max_install_names,-compatibility_version,1.0,-current_version,$$(VERSION_MAJOR) \
        -o $$@ \
        $$(filter %.o,$$^) $$(extralibs)
endef



define lipo_lib_template
$(1): $(addsuffix /$(1),$(FAT_ARCHS))
	$(if $(quiet),@echo "    [LIPO] $$@")
	$(qexec)libtool -static -o $$@ $$?
endef

define lipo_bin_template
$(1): $(addsuffix /$(1),$(FAT_ARCHS))
	$(if $(quiet),@echo "    [LIPO] $$@")
	$(qexec)lipo -output $$@ -create $$?
endef


#
# Get current configuration
#
ifneq ($(target),)
include $(SRC_PATH_BARE)/$(target:-$(TOOLCHAIN)=).mk
endif
ifeq ($(filter clean,$(MAKECMDGOALS)),)
  # Older versions of make don't like -include directives with no arguments
  ifneq ($(filter %.d,$(OBJS-yes:.o=.d)),)
    -include $(filter %.d,$(OBJS-yes:.o=.d))
  endif
endif

#
# Configuration dependent rules
#
$(call pairmap,install_map_templates,$(INSTALL_MAPS))

DOCS=$(call cond_enabled,CONFIG_INSTALL_DOCS,DOCS)
.docs: $(DOCS)
	@touch $@

INSTALL-DOCS=$(call cond_enabled,CONFIG_INSTALL_DOCS,INSTALL-DOCS)
ifeq ($(MAKECMDGOALS),dist)
INSTALL-DOCS+=$(call cond_enabled,CONFIG_INSTALL_DOCS,DIST-DOCS)
endif
.install-docs: .docs $(addprefix $(DIST_DIR)/,$(INSTALL-DOCS))
	@touch $@

clean::
	rm -f .docs .install-docs $(DOCS)

BINS=$(call enabled,BINS)
.bins: $(BINS)
	@touch $@

INSTALL-BINS=$(call cond_enabled,CONFIG_INSTALL_BINS,INSTALL-BINS)
ifeq ($(MAKECMDGOALS),dist)
INSTALL-BINS+=$(call cond_enabled,CONFIG_INSTALL_BINS,DIST-BINS)
endif
.install-bins: .bins $(addprefix $(DIST_DIR)/,$(INSTALL-BINS))
	@touch $@

clean::
	rm -f .bins .install-bins $(BINS)

LIBS=$(call enabled,LIBS)
.libs: $(LIBS)
	@touch $@
$(foreach lib,$(filter %_g.a,$(LIBS)),$(eval $(call archive_template,$(lib))))
$(foreach lib,$(filter %so.$(VERSION_MAJOR).$(VERSION_MINOR).$(VERSION_PATCH),$(LIBS)),$(eval $(call so_template,$(lib))))
$(foreach lib,$(filter %$(VERSION_MAJOR).dylib,$(LIBS)),$(eval $(call dl_template,$(lib))))

INSTALL-LIBS=$(call cond_enabled,CONFIG_INSTALL_LIBS,INSTALL-LIBS)
ifeq ($(MAKECMDGOALS),dist)
INSTALL-LIBS+=$(call cond_enabled,CONFIG_INSTALL_LIBS,DIST-LIBS)
endif
.install-libs: .libs $(addprefix $(DIST_DIR)/,$(INSTALL-LIBS))
	@touch $@

clean::
	rm -f .libs .install-libs $(LIBS)

ifeq ($(CONFIG_EXTERNAL_BUILD),yes)
PROJECTS=$(call enabled,PROJECTS)
.projects: $(PROJECTS)
	@touch $@

INSTALL-PROJECTS=$(call cond_enabled,CONFIG_INSTALL_PROJECTS,INSTALL-PROJECTS)
ifeq ($(MAKECMDGOALS),dist)
INSTALL-PROJECTS+=$(call cond_enabled,CONFIG_INSTALL_PROJECTS,DIST-PROJECTS)
endif
.install-projects: .projects $(addprefix $(DIST_DIR)/,$(INSTALL-PROJECTS))
	@touch $@

clean::
	rm -f .projects .install-projects $(PROJECTS)
endif

# If there are any source files to be distributed, then include the build
# system too.
ifneq ($(call enabled,DIST-SRCS),)
    DIST-SRCS-yes            += configure
    DIST-SRCS-yes            += build/make/configure.sh
    DIST-SRCS-yes            += build/make/gen_asm_deps.sh
    DIST-SRCS-yes            += build/make/Makefile
    DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_def.sh
    DIST-SRCS-$(CONFIG_MSVS)  += build/make/gen_msvs_proj.sh

=== debian/changelog ===
libvpx (1.3.0-2) unstable; urgency=medium

  * debian/control,
    debian/rules:
    + Build with gcc 4.8 to fix FTBFS on SPARC (Closes: #734445).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 07 Jan 2014 11:25:31 +0100

libvpx (1.3.0-1) unstable; urgency=medium

  * New upstream release, including VP9 support:
    + debian/patches/fix-armhf-link.patch:
      - Refresh patch.
    + debian/rules,
      debian/libvpx1.symbols:
      - Update shlibs version and symbols file for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Dec 2013 18:20:51 +0100

=== debian/control ===
Source: libvpx
Section: video
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
               doxygen,
               gcc-4.8,
               g++-4.8,
               php5-cli
Standards-Version: 3.8.4
Homepage: http://www.webmproject.org

Package: libvpx-dev
Section: libdevel
Architecture: any
Depends: libvpx1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: VP8 video codec (development files)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with libvpx.

Package: libvpx1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: VP8 video codec (shared library)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the shared libraries.

Package: libvpx1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libvpx1 (= ${binary:Version}),
         ${misc:Depends}
Description: VP8 video codec (debugging symbols)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 Debugging symbols for the VPX library. This is
 needed to debug programs linked against libvpx1.

Package: libvpx-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: lynx | www-browser
Description: VP8 video codec (API documentation)
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the HTML documentation for the libvpx library
 in /usr/share/doc/libvpx-doc.

Package: vpx-tools
Section: utils
Architecture: any
Depends: libvpx1 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: VP8 video codec encoding/decoding tools
 VP8 is an open video codec, originally developed by On2 and released
 as open source by Google Inc. It is the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the commandline tools vpxdec and vpxenc.

=== debian/rules ===
--- 
+++ 
@@ -76,6 +76,10 @@
 CFLAGS += -O2
 CXXFLAGS += -O2
 endif
+
+export CC=gcc-4.8
+export CPP=cpp-4.8
+export CXX=g++-4.8
 
 builddir := $(CURDIR)/builddir
 
@@ -160,7 +164,7 @@
 	rm -rf debian/libvpx1-dbg/usr/lib/debug/usr/bin
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.1.0)' -- -c4
+	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.3.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s

## libvpx 1.3.0-34~1

=== debian/changelog ===
libvpx (1.3.0-34~1-sid+1) unstable; urgency=low

  * Nightly build.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 17:11:41 -0400

libvpx (1.3.0-4) unstable; urgency=low

  * New upstream release, "Eider".
  * debian/patches/*: Refreshed to apply cleanly again.
  * debian/rules: Update shlibs version for API additions.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 May 2012 10:03:37 +0200

## libvpx 1.4.0

=== debian/changelog ===
libvpx (1.4.0-4) unstable; urgency=medium

  * debian/rules:
    + Configure with --size-limit=16384x16384 to work around
      CVE-2015-1258 like Chrome does. Streams with a higher
      resolution than that will fail to decode now.
    + Configure with --enable-postproc --enable-multi-res-encoding
      --enable-temporal-denoising --enable-vp9-temporal-denoising
      --enable-vp9-postproc to mirror the configuration that Chrome
      is using.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Jun 2015 10:09:08 +0200

libvpx (1.4.0-3) unstable; urgency=medium

  * debian/rules:
    + Disable MIPS assembly in the rules for now to try to fix FTBFS. The
      assembly is only used in the tools, not the library, and requires
      DSP R2 support.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 May 2015 14:19:25 +0300

libvpx (1.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 11:40:02 +0300

libvpx (1.4.0-1) experimental; urgency=medium

  * New upstream stable release:
    + debian/control,
      debian/rules,
      debian/libvpx*symbols:
      - Update for new soname.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Apr 2015 18:17:08 +0200

libvpx (1.3.0+git20150219-1) experimental; urgency=medium

  * New upstream GIT snapshot, based on the Chrome version from 2015-02-19:
    + debian/patches/Bug-fix-in-ssse3-quantize-function.patch,
      debian/patches/vp9-out-of-bounds-access.patch:
      - Deleted, merged upstream.
    + debian/patches/fix-armhf-link.patch:
      - Rebased.
    + debian/libvpx1.symbols:
      - Update for API changes, i.e. dropping of old non-public API and
        addition of some new API.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Mar 2015 14:27:58 +0100

libvpx (1.3.0-3) unstable; urgency=high

  * debian/control:
    + Add VP9 to the short and long package descriptions (Closes: #760095).
  * debian/patches/vp9-out-of-bounds-access.patch:
    + Fix out of bounds access in the VP9 codec (CVE-2014-1578) (Closes: #765435).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Oct 2014 10:02:18 +0200

libvpx (1.3.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using the default GCC. Closes: #751318.
  * Move doxygen and php5-cli to B-D-I (Peter Pentchev). Closes: #726485.
  * Build using hardening defaults. Closes: #674570.
  * Apply bug fix for ssse3 quantize function.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Aug 2014 14:38:23 +0200

=== debian/control ===
Source: libvpx
Section: video
Priority: optional
Maintainer: Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 8.1.3),
               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386]
Build-Depends-Indep: doxygen, php5-cli
Standards-Version: 3.9.5
Homepage: http://www.webmproject.org

Package: libvpx-dev
Section: libdevel
Architecture: any
Depends: libvpx2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: VP8 and VP9 video codec (development files)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the development libraries, header files needed by
 programs that want to compile with libvpx.

Package: libvpx2
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: VP8 and VP9 video codec (shared library)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the shared libraries.

Package: libvpx2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libvpx2 (= ${binary:Version}),
         ${misc:Depends}
Description: VP8 and VP9 video codec (debugging symbols)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 Debugging symbols for the VPX library. This is
 needed to debug programs linked against libvpx2.

Package: libvpx-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: lynx | www-browser
Description: VP8 and VP9 video codec (API documentation)
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the HTML documentation for the libvpx library
 in /usr/share/doc/libvpx-doc.

Package: vpx-tools
Section: utils
Architecture: any
Depends: libvpx2 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: VP8 and VP9 video codec encoding/decoding tools
 VP8 and VP9 are open video codecs, originally developed by On2 and released
 as open source by Google Inc. They are the successor of the VP3 codec,
 on which the Theora codec was based.
 .
 This package contains the commandline tools vpxdec and vpxenc.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,13 @@
   --enable-pic \
   --enable-shared \
   --disable-install-bins \
-  --disable-install-srcs
+  --disable-install-srcs \
+  --size-limit=16384x16384 \
+  --enable-postproc \
+  --enable-multi-res-encoding \
+  --enable-temporal-denoising \
+  --enable-vp9-temporal-denoising \
+  --enable-vp9-postproc
 
 ifeq ($(DEB_HOST_ARCH_CPU),arm)
 configure_flags_neon := $(configure_flags) --target=armv7-linux-gcc
@@ -51,7 +57,21 @@
 ifeq ($(DEB_HOST_ARCH), powerpc)
 configure_flags += --target=ppc32-linux-gcc
 else
+ifeq ($(DEB_HOST_ARCH), mips)
 configure_flags += --target=generic-gnu
+# Disable MIPS assembly for now, it requires DSP R2
+CFLAGS += -DLIBYUV_DISABLE_MIPS=1
+CXXFLAGS += -DLIBYUV_DISABLE_MIPS=1
+else
+ifeq ($(DEB_HOST_ARCH), mipsel)
+configure_flags += --target=generic-gnu
+# Disable MIPS assembly for now, it requires DSP R2
+CFLAGS += -DLIBYUV_DISABLE_MIPS=1
+CXXFLAGS += -DLIBYUV_DISABLE_MIPS=1
+else
+configure_flags += --target=generic-gnu
+endif
+endif
 endif
 endif
 endif
@@ -66,20 +86,9 @@
 export CROSS
 endif
 
-CFLAGS += -Wall -g
-CXXFLAGS += -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-CXXFLAGS += -O0
-else
-CFLAGS += -O2
-CXXFLAGS += -O2
-endif
-
-export CC=gcc-4.8
-export CPP=cpp-4.8
-export CXX=g++-4.8
+CFLAGS += -Wall $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
+CXXFLAGS += -Wall $(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CXXFLAGS)
+LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 builddir := $(CURDIR)/builddir
 
@@ -88,17 +97,19 @@
 	dh_testdir
 	mkdir -p $(builddir); \
 	cd $(builddir); \
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(CURDIR)/configure \
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/configure \
 		$(configure_flags)
 	touch $@
 ifeq ($(BUILD_NEON), Yes)
 	mkdir -p $(builddir)-neon; \
 	cd $(builddir)-neon; \
-	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)"  $(CURDIR)/configure \
+	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)" $(CURDIR)/configure \
 		$(configure_flags_neon)
 	touch $@
 endif
 
+build-arch: build
+build-indep: build
 build: build-stamp
 
 build-stamp: configure-stamp
@@ -148,23 +159,23 @@
 	dh_testdir
 	dh_testroot
 	dh_install -s
-	mkdir -p debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)
-	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)
+	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)
 ifeq ($(BUILD_NEON), Yes)
-	mkdir -p debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
-	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx1/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
+	mkdir -p debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
+	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
 endif
 	mkdir -p debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp -a builddir/vpx-vp8-*/lib/libvpx.so builddir/vpx-vp8-*/lib/libvpx.a debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_installdocs -s -A README AUTHORS
 	dh_installchangelogs -s CHANGELOG
 	dh_link -s
-	dh_strip -s --dbg-package=libvpx1-dbg
+	dh_strip -s --dbg-package=libvpx2-dbg
 	# Make sure not to conflict with past SONAMEs:
-	rm -rf debian/libvpx1-dbg/usr/lib/debug/usr/bin
+	rm -rf debian/libvpx2-dbg/usr/lib/debug/usr/bin
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx1 -V 'libvpx1 (>= 1.3.0)' -- -c4
+	dh_makeshlibs -plibvpx2 -V 'libvpx2 (>= 1.4.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s

## libvpx 1.5.0

=== debian/changelog ===
libvpx (1.5.0-4) unstable; urgency=medium

  * Team upload.
  * Moved to Debian Multimedia Maintainers team
  * Added d/watch file
  * Bumped debhelper version to 9
  * Use automatic debug packages instead of libvpx3-dbg
  * Bumped Standards-Version to 3.9.8 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Wed, 10 Aug 2016 23:04:35 +0200

libvpx (1.5.0-3) unstable; urgency=medium

  * debian/control:
    + Remove php5-cli from Build-Depends-Indep, it's unused since a while
      anyway and going to be removed in favor of php7 (Closes: #821689).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 May 2016 11:50:23 +0300

libvpx (1.5.0-2) unstable; urgency=medium

  * debian/rules:
    + Disable PPC specific target to fix FTBFS. It's not supported anymore.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 28 Dec 2015 16:40:00 +0200

libvpx (1.5.0-1) unstable; urgency=medium

  * New upstream release:
    + debian/rules,
      debian/control,
      debian/libvpx*.symbols:
      - Update from libvpx2 to libvpx3.
  * debian/patches/fix-build.patch:
    + Fix invalid C that causes the build to fail (Closes: #809129).
      Patch based on the one from Colin Watson from
      https://bugs.launchpad.net/ubuntu/+source/libvpx/+bug/1528297

 -- Sebastian Dröge <slomo@debian.org>  Mon, 28 Dec 2015 09:59:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: libvpx
 Section: video
 Priority: optional
-Maintainer: Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 8.1.3),
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders: Sebastian Dröge <slomo@debian.org>,
+Build-Depends: debhelper (>= 9),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386]
-Build-Depends-Indep: doxygen, php5-cli
-Standards-Version: 3.9.5
+Build-Depends-Indep: doxygen
+Standards-Version: 3.9.8
 Homepage: http://www.webmproject.org
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libvpx.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libvpx.git/
 
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx2 (= ${binary:Version}),
+Depends: libvpx3 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
@@ -23,7 +26,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx2
+Package: libvpx3
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -36,20 +39,6 @@
  on which the Theora codec was based.
  .
  This package contains the shared libraries.
-
-Package: libvpx2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libvpx2 (= ${binary:Version}),
-         ${misc:Depends}
-Description: VP8 and VP9 video codec (debugging symbols)
- VP8 and VP9 are open video codecs, originally developed by On2 and released
- as open source by Google Inc. They are the successor of the VP3 codec,
- on which the Theora codec was based.
- .
- Debugging symbols for the VPX library. This is
- needed to debug programs linked against libvpx2.
 
 Package: libvpx-doc
 Section: doc
@@ -67,7 +56,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx2 (= ${binary:Version}),
+Depends: libvpx3 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -54,9 +54,6 @@
 ifeq ($(DEB_HOST_ARCH), hurd-i386)
 configure_flags += --target=x86-linux-gcc
 else
-ifeq ($(DEB_HOST_ARCH), powerpc)
-configure_flags += --target=ppc32-linux-gcc
-else
 ifeq ($(DEB_HOST_ARCH), mips)
 configure_flags += --target=generic-gnu
 # Disable MIPS assembly for now, it requires DSP R2
@@ -70,7 +67,6 @@
 CXXFLAGS += -DLIBYUV_DISABLE_MIPS=1
 else
 configure_flags += --target=generic-gnu
-endif
 endif
 endif
 endif
@@ -159,23 +155,23 @@
 	dh_testdir
 	dh_testroot
 	dh_install -s
-	mkdir -p debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)
-	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)
+	mkdir -p debian/libvpx3/usr/lib/$(DEB_HOST_MULTIARCH)
+	cp -a builddir/vpx-vp8-*/lib/libvpx.so.* debian/libvpx3/usr/lib/$(DEB_HOST_MULTIARCH)
 ifeq ($(BUILD_NEON), Yes)
-	mkdir -p debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
-	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx2/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
+	mkdir -p debian/libvpx3/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
+	cp -a builddir-neon/vpx-vp8-*/lib/libvpx.so.* debian/libvpx3/usr/lib/$(DEB_HOST_MULTIARCH)/vfp/neon
 endif
 	mkdir -p debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	cp -a builddir/vpx-vp8-*/lib/libvpx.so builddir/vpx-vp8-*/lib/libvpx.a debian/libvpx-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_installdocs -s -A README AUTHORS
 	dh_installchangelogs -s CHANGELOG
 	dh_link -s
-	dh_strip -s --dbg-package=libvpx2-dbg
+	dh_strip -s --dbgsym-migration='libvpx3-dbg (<< 1.5.0-3~)'
 	# Make sure not to conflict with past SONAMEs:
-	rm -rf debian/libvpx2-dbg/usr/lib/debug/usr/bin
+	rm -rf debian/libvpx3-dbg/usr/lib/debug/usr/bin
 	dh_compress -s
 	dh_fixperms -s
-	dh_makeshlibs -plibvpx2 -V 'libvpx2 (>= 1.4.0)' -- -c4
+	dh_makeshlibs -plibvpx3 -V 'libvpx3 (>= 1.5.0)' -- -c4
 	dh_installdeb -s
 	dh_shlibdeps -s
 	dh_gencontrol -s

## libvpx 1.6.0

=== debian/changelog ===
libvpx (1.6.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Thu, 08 Sep 2016 07:46:20 +0200

libvpx (1.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Sep 2016 10:46:47 +0200

libvpx (1.6.0-1) experimental; urgency=medium

  * New upstream release
    - ABI version bump
  * Removed d/p/fix-armhf-link.patch, applied upstream
  * Removed useless rm from -dbg package
  * Use dh sequencer and dh-exec for building package
  * Enabled all but PIE hardening
  * Added myself as uploader
  * Added doc-base for documentation
  * d/copyright: Rewritten for new upstream release in machine-readable format
  * Override Lintian embedded-javascript-library - it's not jQuery lib
  * d/copyright: Added myself to Debian part
  * d/p/fix-build.patch: Added DEP-3 header
  * Added man pages (Closes: #769532)
  * Enabled parallel building
  * Added autopkgtest
  * d/rules: Removed dh_strip and dh_makeshlibs overrides

 -- Ondřej Nový <onovy@debian.org>  Thu, 18 Aug 2016 15:12:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
+           Ondřej Nový <onovy@debian.org>,
 Build-Depends: debhelper (>= 9),
-               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386]
+               yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
+               dh-exec,
 Build-Depends-Indep: doxygen
 Standards-Version: 3.9.8
 Homepage: http://www.webmproject.org
@@ -14,7 +16,7 @@
 Package: libvpx-dev
 Section: libdevel
 Architecture: any
-Depends: libvpx3 (= ${binary:Version}),
+Depends: libvpx4 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: same
@@ -26,7 +28,7 @@
  This package contains the development libraries, header files needed by
  programs that want to compile with libvpx.
 
-Package: libvpx3
+Package: libvpx4
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -56,7 +58,7 @@
 Package: vpx-tools
 Section: utils
 Architecture: any
-Depends: libvpx3 (= ${binary:Version}),
+Depends: libvpx4 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

DEB_CFLAGS_MAINT_APPEND = -Wall
DEB_CXXFLAGS_MAINT_APPEND = -Wall

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

configure_flags += \
  --prefix=/usr \
  --enable-pic \
  --enable-shared \
  --disable-install-bins \
  --disable-install-srcs \
  --size-limit=16384x16384 \
  --enable-postproc \
  --enable-multi-res-encoding \
  --enable-temporal-denoising \
  --enable-vp9-temporal-denoising \
  --enable-vp9-postproc

ifeq ($(DEB_HOST_ARCH_CPU),arm)
configure_flags_neon := $(configure_flags) --target=armv7-linux-gcc
BUILD_NEON=Yes
endif

ifeq ($(DEB_HOST_ARCH), armel)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
configure_flags += --target=armv6-linux-gcc --enable-small
else
configure_flags += --target=generic-gnu
endif
else
ifeq ($(DEB_HOST_ARCH), armhf)
# now armhf is ARMv7, but ARMv7 in vpx means NEON, which is not mandatory on armhf
# thus we use ARMv6 and -marm (since no thumb2 on ARMv6) to ensure compatability
# with all ARMv7 cores we support.
DEB_CFLAGS_MAINT_APPEND += -marm
DEB_CXXFLAGS_MAINT_APPEND += -marm
configure_flags += --target=armv6-linux-gcc --enable-small
else
ifeq ($(DEB_HOST_ARCH), amd64)
configure_flags += --target=x86_64-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), kfreebsd-amd64)
configure_flags += --target=x86_64-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), kfreebsd-i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), hurd-i386)
configure_flags += --target=x86-linux-gcc
else
ifeq ($(DEB_HOST_ARCH), mips)
configure_flags += --target=generic-gnu
# Disable MIPS assembly for now, it requires DSP R2
DEB_CFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
DEB_CXXFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
else
ifeq ($(DEB_HOST_ARCH), mipsel)
configure_flags += --target=generic-gnu
# Disable MIPS assembly for now, it requires DSP R2
DEB_CFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
DEB_CXXFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
else
configure_flags += --target=generic-gnu
endif
endif
endif
endif
endif
endif
endif
endif
endif

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS=$(DEB_HOST_GNU_TYPE)-
export CROSS
endif

builddir := $(CURDIR)/builddir

export DEB_CFLAGS_MAINT_APPEND
export DEB_CXXFLAGS_MAINT_APPEND

%:
	dh $@ --parallel

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(builddir) $(builddir)-neon

override_dh_auto_configure:
	mkdir -p $(builddir) ; \
	cd $(builddir) ; \
	${CURDIR}/configure $(configure_flags)
ifeq ($(BUILD_NEON), Yes)
	mkdir -p $(builddir)-neon ; \
	cd $(builddir)-neon ; \
	${CURDIR}/configure $(configure_flags_neon)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=$(builddir) -- verbose=yes dist
ifeq ($(BUILD_NEON), Yes)
	dh_auto_build --builddirectory=$(builddir)-neon -- verbose=yes dist
endif
	# don't use stripped library...
	cp -v $(builddir)/libvpx_g.a \
		$(builddir)/vpx-vp8-*/lib/libvpx.a

override_dh_installdocs:
	dh_installdocs
	dh_installdocs -A README AUTHORS

## libvpx 1.6.1

=== debian/changelog ===
libvpx (1.6.1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Tue, 21 Feb 2017 09:23:17 +0100

libvpx (1.6.1-2) unstable; urgency=medium

  * Add arm64 native support
  * Build generic-gnu on armel/armhf because armv6-linux-gcc support was dropped

 -- Ondřej Nový <onovy@debian.org>  Tue, 17 Jan 2017 17:23:34 +0100

libvpx (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Removed d/patches/fix-build.patch - not needed anymore

 -- Ondřej Nový <onovy@debian.org>  Tue, 17 Jan 2017 12:59:18 +0100

libvpx (1.6.0-3) unstable; urgency=medium

  * Bumped debhelper version to 10
  * Install vpx.pc into a multiarch location (Closes: #843724)

 -- Ondřej Nový <onovy@debian.org>  Thu, 10 Nov 2016 09:57:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Ondřej Nový <onovy@debian.org>,
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                yasm (>= 0.7) [amd64 i386 hurd-i386 kfreebsd-amd64 kfreebsd-i386],
                dh-exec,
 Build-Depends-Indep: doxygen

=== debian/rules ===
--- 
+++ 
@@ -29,20 +29,16 @@
 BUILD_NEON=Yes
 endif
 
+ifeq ($(DEB_HOST_ARCH), arm64)
+configure_flags += --target=arm64-linux-gcc
+else
 ifeq ($(DEB_HOST_ARCH), armel)
-ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
-configure_flags += --target=armv6-linux-gcc --enable-small
-else
-configure_flags += --target=generic-gnu
-endif
+configure_flags += --target=generic-gnu --enable-small
 else
 ifeq ($(DEB_HOST_ARCH), armhf)
 # now armhf is ARMv7, but ARMv7 in vpx means NEON, which is not mandatory on armhf
-# thus we use ARMv6 and -marm (since no thumb2 on ARMv6) to ensure compatability
-# with all ARMv7 cores we support.
-DEB_CFLAGS_MAINT_APPEND += -marm
-DEB_CXXFLAGS_MAINT_APPEND += -marm
-configure_flags += --target=armv6-linux-gcc --enable-small
+# thus we use generic-gnu
+configure_flags += --target=generic-gnu --enable-small
 else
 ifeq ($(DEB_HOST_ARCH), amd64)
 configure_flags += --target=x86_64-linux-gcc
@@ -81,6 +77,7 @@
 endif
 endif
 endif
+endif
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CROSS=$(DEB_HOST_GNU_TYPE)-
@@ -93,7 +90,7 @@
 export DEB_CXXFLAGS_MAINT_APPEND
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean

## libvpx 1.7.0

=== debian/changelog ===
libvpx (1.7.0-4+deb10u1.lnd.1) UNRELEASED; urgency=medium

  * 1. Add loongarch support
  * 2. Optimize VP8, VP9 function with LSX

 -- jenkins <jenkins@loongson.cn>  Fri, 27 May 2022 16:38:13 +0800

libvpx (1.7.0-4+deb10u1) buster-security; urgency=medium
 
   * Following changes are based on gerrit loongson-v1.7.0 branch.
   * 1. Fix bugs:
   *  1) Fix a type conflict bug.
   *  2) Fix clang building bugs.
   * 2. Add vpx-convolve8 series MMI optimizations.
   * 3. Open community MSA optimizations.
   * 4. Implement binary compatibility on 2K1000,3A3000,3A4000.

 -- Jin Bo <jinbo@loogson.cn>  Tue, 8 Sep 2020 00:09:29 +0800

libvpx (1.7.0-3+deb10u1) buster-security; urgency=medium

  * CVE-2019-9232 CVE-2019-9325 CVE-2019-9371 CVE-2019-9433

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 27 Nov 2019 00:09:29 +0100

libvpx (1.7.0-3) unstable; urgency=medium

  * Uploading to unstable
  * Install examples into libvpx-dev

 -- Ondřej Nový <onovy@debian.org>  Sat, 17 Feb 2018 13:47:07 +0100

libvpx (1.7.0-2) experimental; urgency=medium

  * New upstream release
    - This release is ABI incompatible due to new vp9 encoder features.
  * Standards-Version is 4.1.3 now (no changes needed)
  * d/copyright: Bump copyright year
  * d/libvpx-doc.lintian-overrides: Remove, not needed anymore
  * Bump debhelper compat level to 11

 -- Ondřej Nový <onovy@debian.org>  Mon, 05 Feb 2018 15:41:07 +0100

libvpx (1.6.1-3) unstable; urgency=medium

  * Team upload.
  * Mark libvpx-doc as Multi-Arch:foreign.
  * Do not forcefully disable PIE anymore as -pie changed meaning.
    (Closes: #859415)

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Apr 2017 23:06:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEB_CFLAGS_MAINT_APPEND = -Wall
 DEB_CXXFLAGS_MAINT_APPEND = -Wall
@@ -67,7 +67,11 @@
 DEB_CFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
 DEB_CXXFLAGS_MAINT_APPEND += -DLIBYUV_DISABLE_MIPS=1
 else
+ifeq ($(DEB_HOST_ARCH), mips64el)
+configure_flags += --target=mips64-linux-gcc --cpu=loongson3a
+else
 configure_flags += --target=generic-gnu
+endif
 endif
 endif
 endif

## libvpx 1.7.0.2

=== debian/changelog ===
libvpx (1.7.0.2-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: afff92134ee9b1dbc8aa904d2e3ec2b472658e3b']

 -- shuttle <shuttle@deepin.com>  Fri, 28 Aug 2020 14:46:49 +0000
